net.minecraft.client.resources

## Class DefaultResourcePack

- java.lang.Object
- - net.minecraft.client.resources.DefaultResourcePack

- All Implemented Interfaces:
    IResourcePack

      public class DefaultResourcePack
      extends java.lang.Object
      implements IResourcePack

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set` | `defaultResourceDomains`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResourcePack(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceFile(java.lang.String par1Str, java.io.File par2File)`
    `java.io.InputStream` | `getInputStream(ResourceLocation par1ResourceLocation)`
    `java.awt.image.BufferedImage` | `getPackImage()`
    `IMetadataSection` | `getPackMetadata(IMetadataSerializer par1MetadataSerializer, java.lang.String par2Str)`
    `java.lang.String` | `getPackName()`
    `java.util.Set` | `getResourceDomains()`
    `void` | `readAssetsDir(java.io.File par1File)`
    `boolean` | `resourceExists(ResourceLocation par1ResourceLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultResourceDomains

          public static final java.util.Set defaultResourceDomains

  - ### Constructor Detail

    - #### DefaultResourcePack

          public DefaultResourcePack(java.io.File par1File)

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream(ResourceLocation par1ResourceLocation)
                                             throws java.io.IOException

      Specified by:
        `getInputStream` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### addResourceFile

          public void addResourceFile(java.lang.String par1Str,
                             java.io.File par2File)

    - #### resourceExists

          public boolean resourceExists(ResourceLocation par1ResourceLocation)

      Specified by:
        `resourceExists` in interface `IResourcePack`

    - #### getResourceDomains

          public java.util.Set getResourceDomains()

      Specified by:
        `getResourceDomains` in interface `IResourcePack`

    - #### readAssetsDir

          public void readAssetsDir(java.io.File par1File)

    - #### getPackMetadata

          public IMetadataSection getPackMetadata(IMetadataSerializer par1MetadataSerializer,
                                         java.lang.String par2Str)
                                           throws java.io.IOException

      Specified by:
        `getPackMetadata` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### getPackImage

          public java.awt.image.BufferedImage getPackImage()
                                                    throws java.io.IOException

      Specified by:
        `getPackImage` in interface `IResourcePack`
      Throws:
        `java.io.IOException`

    - #### getPackName

          public java.lang.String getPackName()

      Specified by:
        `getPackName` in interface `IResourcePack`